#!/bin/bash

#    ./reb $type $ym $SIM $SIMUDIR

ym=$1
SIMUDIR=$2
SIM=`basename $SIMUDIR`
shift 2
types="$*"
PUT=mv
rebuild=/gpfswork/rech/groupe/rgroupe027/LMDZ20191008.trunkOR3013/modipsl/bin/rebuild
local=`pwd`


echo type $type
echo ym $ym
echo SIM $SIM
echo SIMUDIR $SIMUDIR

for type in $types ; do

job=$SIM$type

cat <<eod>| $job
#!/bin/bash
#SBATCH --job-name=Seq              # nom du job
#SBATCH -A groupe@cpu
#SBATCH --nodes=1                   # nombre de noeuds
#SBATCH --ntasks-per-node=1         # nombre de taches MPI par noeud
#SBATCH --time=00:30:00             # temps d execution maximum demande (HH:MM:SS)
#SBATCH --output=post${type}%j.out          # nom du fichier de sortie
#SBATCH --error=post${type}%j.out           # nom du fichier d'erreur (ici en commun avec la sortie)
 
# on se place dans le repertoire de soumission
cd $local
pwd

. lmdz_env.sh

ulimit -s unlimited
  if [ -f ${type}_0000.nc ] ; then
    $rebuild -o ${type}.$ym.nc ${type}_[0-9][0-9][0-9][0-9].nc
  else
    echo ${type}_0000.nc absent
  fi
  if [ -f $type.$ym.nc ] ; then 
     ${PUT} $type.$ym.nc ${SIMUDIR}/$type.$ym.nc
     \rm -f ${type}_[0-9][0-9][0-9][0-9].nc
  else
     echo La reconstruction de $type.$ym.nc a echoue
  fi
eod

echo Submitting the rebuild job $job
sbatch $job

done
